在 selenium 中，一个`WebDriver`对象操作一个浏览器进程。  
对应地，DrissionPage 中一个`Drission`对象控制一个浏览器进程。  
当须要控制多个浏览器时，只需创建多个`Drission`对象即可。

实际上，因为`MixPage`会自动根据传入配置创建`Drission`对象，因此只需设置不同的`DriverOptions`和`MixPage`对象即可。

!> **注意：** 这些对象必须设置不同的`local_port`和`user_data_path`参数，否则会造成冲突。

```python
from DrissionPage.config import DriverOptions
from DrissionPage import MixPage

# 创建两个配置对象指向不同端口和数据文件夹
do1 = DriverOptions().set_paths(local_port=9222,
                                user_data_path=r'D:\data1')
do2 = DriverOptions().set_paths(local_port=9333,
                                user_data_path=r'D:\data2')

# 通过两个配置对象创建两个页面对象
page1 = MixPage(driver_options=do1)
page2 = MixPage(driver_options=do2)

# 两个页面对象分别操作自己的浏览器
page1.get('https://www.baidu.com')
page2.get('http://www.163.com')
```

